Bug 2004877 - python-podman-3.2.0-1.fc36 FTBFS: ModuleNotFoundError: No module named 'xdg'
Summary: python-podman-3.2.0-1.fc36 FTBFS: ModuleNotFoundError: No module named 'xdg'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-podman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact:
URL: https://koji.fedoraproject.org/koji/t...
Whiteboard:
Depends On:
Blocks: F36FTBFS, RAWHIDEFTBFS
TreeView+ depends on / blocked
 
Reported: 2021-09-16 10:46 UTC by Petr Pisar
Modified: 2021-10-02 01:27 UTC (History)
6 users (show)

Fixed In Version: python-podman-3.2.1-1.fc35 python-podman-3.2.1-1.fc33 python-podman-3.2.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 00:18:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2021-09-16 10:46:15 UTC
python-podman-3.2.0-1.fc36 fails to build in Fedora 36:

Executing(%generate_buildrequires): /bin/sh -e /var/tmp/rpm-tmp.48vMN1
+ umask 022
+ cd /builddir/build/BUILD
+ cd podman-3.2.0
+ echo python3-devel
+ echo 'python3dist(pip) >= 19'
+ echo 'python3dist(packaging)'
+ '[' -f pyproject.toml ']'
+ echo 'python3dist(toml)'
+ rm -rfv '*.dist-info/'
+ '[' -f /usr/bin/python3 ']'
+ RPM_TOXENV=py310
+ HOSTNAME=rpmbuild
+ /usr/bin/python3 -s /usr/lib/rpm/redhat/pyproject_buildrequires.py --generate-extras --python3_pkgversion 3
Handling setuptools>=46.4 from build-system.requires
Requirement satisfied: setuptools>=46.4
   (installed: setuptools 57.4.0)
Handling wheel from build-system.requires
Requirement satisfied: wheel
   (installed: wheel 0.37.0)
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 33, in __getattr__
    return next(
StopIteration
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 387, in _parse_attr
    return getattr(StaticModule(module_name), attr_name)
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 41, in __getattr__
    raise AttributeError(
AttributeError: podman has no attribute __version__
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/rpm/redhat/pyproject_buildrequires.py", line 416, in main
    generate_requires(
  File "/usr/lib/rpm/redhat/pyproject_buildrequires.py", line 350, in generate_requires
    generate_build_requirements(backend, requirements)
  File "/usr/lib/rpm/redhat/pyproject_buildrequires.py", line 246, in generate_build_requirements
    new_reqs = get_requires()
  File "/usr/lib/python3.10/site-packages/setuptools/build_meta.py", line 154, in get_requires_for_build_wheel
    return self._get_build_requires(
  File "/usr/lib/python3.10/site-packages/setuptools/build_meta.py", line 135, in _get_build_requires
    self.run_setup()
  File "/usr/lib/python3.10/site-packages/setuptools/build_meta.py", line 150, in run_setup
    exec(compile(code, __file__, 'exec'), locals())
  File "setup.py", line 30, in <module>
    setuptools.setup(
  File "/usr/lib/python3.10/site-packages/setuptools/__init__.py", line 153, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib/python3.10/distutils/core.py", line 121, in setup
    dist.parse_config_files()
  File "/usr/lib/python3.10/site-packages/setuptools/dist.py", line 778, in parse_config_files
    parse_configuration(self, self.command_options,
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 157, in parse_configuration
    meta.parse()
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 463, in parse
    section_parser_method(section_options)
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 436, in parse_section
    self[name] = value
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 220, in __setitem__
    value = parser(value)
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 557, in _parse_version
    version = self._parse_attr(value, self.package_dir)
  File "/usr/lib/python3.10/site-packages/setuptools/config.py", line 390, in _parse_attr
    module = importlib.import_module(module_name)
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/builddir/build/BUILD/podman-3.2.0/podman/__init__.py", line 12, in <module>
    from podman.client import PodmanClient, from_env
  File "/builddir/build/BUILD/podman-3.2.0/podman/client.py", line 8, in <module>
    import xdg.BaseDirectory
ModuleNotFoundError: No module named 'xdg'
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.48vMN1 (%generate_buildrequires)
    Bad exit status from /var/tmp/rpm-tmp.48vMN1 (%generate_buildrequires)
Child return code was: 1


I recommend registering this package into Koschei <https://koschei.fedoraproject.org/package/python-podman> to get notifications about these regressions early.

Comment 1 Daniel Walsh 2021-09-16 13:04:28 UTC
Did the xdg module get removed or is this just a rawhide thing?

Comment 2 Jhon Honce 2021-09-16 21:56:55 UTC
Looking into what changed now.

Comment 3 Petr Pisar 2021-09-17 07:02:09 UTC
Koji shows <https://koji.fedoraproject.org/koji/packageinfo?packageID=33864> that all 3.2.0-1 builds performed in all All Fedoras failed on 2021-08-16. The build logs have already been removed.
The last successful build 3.1.2.4 also used %generate_buildrequires, but did not manifest "Handling setuptools>=46.4 from build-system.requires". I guess that somobody rebased python-podman without ever finishing the builds.

Comment 4 Lokesh Mandvekar 2021-09-17 13:30:15 UTC
(In reply to Petr Pisar from comment #3)
> Koji shows <https://koji.fedoraproject.org/koji/packageinfo?packageID=33864>
> that all 3.2.0-1 builds performed in all All Fedoras failed on 2021-08-16.
> The build logs have already been removed.
> The last successful build 3.1.2.4 also used %generate_buildrequires, but did
> not manifest "Handling setuptools>=46.4 from build-system.requires". I guess
> that somobody rebased python-podman without ever finishing the builds.

It's being handled at https://github.com/containers/podman-py/pull/132 . Reviews appreciated.

Comment 5 Jhon Honce 2021-09-17 20:51:08 UTC
https://github.com/containers/podman-py/pull/132 has been merged.

Comment 6 Fedora Update System 2021-09-23 21:22:25 UTC
FEDORA-2021-765150b72a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-765150b72a

Comment 7 Fedora Update System 2021-09-23 21:22:26 UTC
FEDORA-2021-9418c1dc15 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9418c1dc15

Comment 8 Fedora Update System 2021-09-23 21:42:21 UTC
FEDORA-2021-e17c9609a2 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e17c9609a2

Comment 9 Fedora Update System 2021-09-24 02:52:27 UTC
FEDORA-2021-e17c9609a2 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e17c9609a2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e17c9609a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-09-24 21:41:29 UTC
FEDORA-2021-765150b72a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-765150b72a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-765150b72a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-24 21:48:08 UTC
FEDORA-2021-9418c1dc15 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9418c1dc15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9418c1dc15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-29 00:18:54 UTC
FEDORA-2021-e17c9609a2 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-10-02 01:09:52 UTC
FEDORA-2021-765150b72a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-10-02 01:27:19 UTC
FEDORA-2021-9418c1dc15 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.